Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 59280 - sys-apps/busybox-1.0.0_pre20040726.ebuild: CFLAGS are ignored (not applied to OPTIMIZATION)
Summary: sys-apps/busybox-1.0.0_pre20040726.ebuild: CFLAGS are ignored (not applied to...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags
  Show dependency tree
 
Reported: 2004-08-03 09:06 UTC by Stefan Nickl
Modified: 2006-03-27 18:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Nickl 2004-08-03 09:06:08 UTC
When emerging busybox, the defaults from Rules.mak are used instead of the /etc/make.conf CFLAGS setting.

Can easily be fixed by changing src_compile() from:
emake -j1 CROSS="${CROSS}" busybox || die
to:
emake -j1 CROSS="${CROSS}" OPTIMIZATION="${CFLAGS}" busybox || die
Comment 1 solar (RETIRED) gentoo-dev 2004-08-05 09:49:32 UTC
Thanks. I'll add this the next time I take a busybox snapshot.
Comment 2 solar (RETIRED) gentoo-dev 2004-11-07 16:44:50 UTC
I've given this some thought and passing the entire CFLAGS here wont be safe. We need a subset of them that are strictly OPIMIZATION flags. If you need to pass ABI flags or other thats fine but I don't think passing all of CFLAGS is going to be ideal here as this very thing is what could break busybox's cross compiling support. I think we may even of had OPTIMIZATION=CFLAGS before and learned this the hardway.
Comment 3 Natanael Copa 2006-03-20 01:17:31 UTC
Since busybox-1.0.0_pre20040726.ebuild does not exist in portage anymore, would it be an idea to just close this bug?
Comment 4 Stefan Nickl 2006-03-23 05:28:40 UTC
(In reply to comment #3)
> Since busybox-1.0.0_pre20040726.ebuild does not exist in portage anymore, would
> it be an idea to just close this bug?
> 

The issue still persists in current ebuilds, but OTOH it doesn't look like there will be a perfect solution anytime soon, so I wouldn't object to closing the entry.

As a compromise, maybe the line could be changed to simply include 'OPTIMIZATION="-Os"'.
Comment 5 SpanKY gentoo-dev 2006-03-27 18:37:30 UTC
fixed in 1.1.0 and 1.1.1